/* You can add global styles to this file, and also import other style files */

@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';
@import 'assets/m-modified.css';

$primary-color: #673ab7;

@font-face {
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	src: url(assets/iconfont/MaterialIcons-Regular.eot); /* For IE6-8 */
	src: local('Material Icons'),
		local('MaterialIcons-Regular'),
		url(assets/iconfont/MaterialIcons-Regular.woff2) format('woff2'),
		url(assets/iconfont/MaterialIcons-Regular.woff) format('woff'),
		url(assets/iconfont/MaterialIcons-Regular.ttf) format('truetype');
}

.material-icons {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 24px;  /* Preferred icon size */
	display: inline-block;
	line-height: 1;
	text-transform: none;
	letter-spacing: normal;
	word-wrap: normal;
	white-space: nowrap;
	direction: ltr;

	/* Support for all WebKit browsers. */
	-webkit-font-smoothing: antialiased;
	/* Support for Safari and Chrome. */
	text-rendering: optimizeLegibility;

	/* Support for Firefox. */
	-moz-osx-font-smoothing: grayscale;

	/* Support for IE. */
	font-feature-settings: 'liga';
}

html {
	background-color: #fafafa;
}

body {
	margin: 0;
}

.mat-raised-button .mat-button-wrapper mat-icon {
	padding-right: 30px;
	margin-bottom: 2px;
}

.subnav .mat-list-item-content {
	padding: 0;
}

.mat-nav-list .subnav.activo.mat-list-item > div.mat-list-item-content {
	padding-left: 9px;
}

.status-code {
	padding: 4px 12px;
	border-radius: 12px;
	color: white;
	margin-bottom: 10px;
}

.status-code._200 {
	background-color: green;
}

.status-code._400 {
	background-color: orange;
}

.status-code._500 {
	background-color: red;
}

div.ejemplo {
	min-height: 50vh;
}

.mat-tab-body {
    margin: 2em;
}

mat-divider.mat-divider {
	margin-top: 50px;
	margin-bottom: 50px;
}

.mat-drawer-inner-container::-webkit-scrollbar {
    height: 4px;
    width: 4px;
}
	
.mat-drawer-inner-container::-webkit-scrollbar-thumb {
    background: rgba(103, 58, 183, 0.75);
}

i.accion, table .accion {
	cursor: pointer;
	user-select: none;
}

mat-icon.accion:hover, table .accion:hover {
	color: $primary-color;
	transition: 0.2s color ease-in-out;
}

mat-icon.accion:active, table .accion:active {
	color: lighten($primary-color, 15%);
	transition: 0s color;
}

mat-calendar tr {
	border: 0;
}

markdown table {
    display: block;
}

markdown table thead, markdown table tbody {
    text-align: center;
    display: contents;
}

.mat-sidenav * {
	user-select: none;
	-webkit-user-drag: none;
	-khtml-user-drag: none;
	-moz-user-drag: none;
	-o-user-drag: none;
	user-drag: none;
}